// Member.cpp: implementation of the CMember class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Member.h"
#include "string.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMember::CMember(char *pszID,float fSum,int nPoint)
{
	if(pszID)
		strcpy(m_szID,pszID);
	m_fSum = fSum;
	m_nPoint = nPoint;
}

CMember::~CMember()
{

}

int CMember::GetPoint()
{
	return m_nPoint;
}

void CMember::SetPoint(int nPoint)
{
	m_nPoint = nPoint;
}

float CMember::GetRebate(CRebateRule *pRebateRule)
{
	return pRebateRule->CalcRebate(m_nPoint);
}

void	CMember::CalculatePoint(float fSum)
{
	m_nPoint = m_nPoint + (int)(fSum/10);
}

float CMember::RebateSumAndCumulatePoint(float fSum,CRebateRule *pRebateRule)
{
	float fRebateSum = 0.0;
	fRebateSum = fSum * GetRebate(pRebateRule)/10;
	CalculatePoint(fSum);
	return fRebateSum;
}
