// Member.h: interface for the CMember class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MEMBER_H__93ACD3DB_DD78_4229_BBFC_972A9E3086AF__INCLUDED_)
#define AFX_MEMBER_H__93ACD3DB_DD78_4229_BBFC_972A9E3086AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "AppConst.h"
#include "NormalRebateRule.h"

class CMember  
{
public:
	CMember(char *pszID,float fSum,int nPoint);
	~CMember();

	int GetPoint();
	void SetPoint(int nPoint);
	float GetRebate(CRebateRule *pRebateRule);
	float RebateSumAndCumulatePoint(float fSum,CRebateRule *pRebateRule);

private:
	void	CalculatePoint(float fSum);

	char	m_szID[MAX_PATH];
	float	m_fSum;
	int		m_nPoint;
};

#endif // !defined(AFX_MEMBER_H__93ACD3DB_DD78_4229_BBFC_972A9E3086AF__INCLUDED_)
