// Shop1PrintFactory.cpp: implementation of the CShop1PrintFactory class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Shop1PrintFactory.h"
#include "ScreenPrintShop1.h"
#include "PaperPrintShop1.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CShop1PrintFactory::CShop1PrintFactory()
{

}

CShop1PrintFactory::~CShop1PrintFactory()
{

}

CPrint*	CShop1PrintFactory::CreateScreenPrint()
{
	return (new CScreenPrintShop1);
}

CPrint*	CShop1PrintFactory::CreatePaperPrint()
{
	return (new CScreenPrintShop1);
}
