// PrintFactory.h: interface for the PrintFactory class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PRINTFACTORY_H__868B9043_6609_42FA_B7F2_8E2DC4DE32CA__INCLUDED_)
#define AFX_PRINTFACTORY_H__868B9043_6609_42FA_B7F2_8E2DC4DE32CA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Print.h"

class CPrintFactory  
{
public:
	virtual ~CPrintFactory();
	virtual CPrint*	CreateScreenPrint() = 0;
	virtual CPrint*	CreatePaperPrint() = 0;
};

#endif // !defined(AFX_PRINTFACTORY_H__868B9043_6609_42FA_B7F2_8E2DC4DE32CA__INCLUDED_)
