// Shop2PrintFactory.cpp: implementation of the CShop2PrintFactory class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Shop2PrintFactory.h"
#include "ScreenPrintShop2.h"
#include "PaperPrintShop2.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CShop2PrintFactory::CShop2PrintFactory()
{

}

CShop2PrintFactory::~CShop2PrintFactory()
{

}

CPrint*	CShop2PrintFactory::CreateScreenPrint()
{
	return (new CScreenPrintShop2);
}

CPrint*	CShop2PrintFactory::CreatePaperPrint()
{
	return (new CScreenPrintShop2);
}
